version: '2'
services:
  registry:
    image: jpillora/dnsmasq
    # image: andyshinn/dnsmasq:latest
    container_name: my_dns_server
    restart: always
    tty: true
    cap_add:
      - NET_ADMIN
    ports:
      - 192.168.31.249:53:53/tcp
      - 192.168.31.249:53:53/udp
      - 8090:8080
    environment:
      - HTTP_USER=admin
      - HTTP_PASS=123456
    volumes:
      - ./dnsmasq_hosts:/etc/my_dnsmasq_hosts
      - ./resolv.dnsmasq:/etc/my_resolv.dnsmasq
